
'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_InitWindow
' PURPOSE:   Initializes main window of this application instance.
' RETURN:    FALSE if initialization was successful, TRUE to close the window on
'            failure.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_InitWindow _
  ( _
  BYVAL hWnd    AS DWORD, _ ' handle of main window
  BYVAL lParam  AS LONG _   ' address of command line
  ) AS LONG

  mainhwnd = hWnd

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_TranslateMessage
' PURPOSE:   Preprocesses messages.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_TranslateMessage _
  ( _
  BYVAL hWnd  AS DWORD, _   ' handle of window
        tmsg  AS tagMsg _   ' message information
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnClose
' PURPOSE:   Form1 WM_CLOSE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnClose _
  ( _
  BYVAL hWnd  AS DWORD _  ' window handle
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnCreate
' PURPOSE:   Form1 WM_CREATE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnCreate _
  ( _
  BYVAL hWnd        AS DWORD, _ ' window handle
  BYVAL lptcs       AS DWORD, _ ' address of CREATESTRUCT structure
        lMsgResult  AS LONG _   ' value returned to message
  ) AS LONG

  IF LEN(fo.fspecin)= 0 OR LEN(fo.fspecout) = 0 THEN
    Control_Disable GetDlgItem (hWnd, %IDC_FORM1_BTN_FORMAT)

  END IF

  SetWindowText GetDlgItem(hWnd, %IDC_FORM1_BTN_HELP), $TEXTBTN3
  SetWindowText GetDlgItem(hWnd, %IDC_FORM1_BTN_FORMAT), $TEXTBTNFORMAT
  SetWindowText GetDlgItem(hWnd, %IDCANCEL), $CANCEL

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnDestroy
' PURPOSE:   Form1 WM_DESTROY message handler.
'
'-------------------------------------------------------------------------------

SUB Form1_OnDestroy _
  ( _
  BYVAL hWnd        AS DWORD, _ ' window handle
        lMsgResult  AS LONG _   ' value returned to message
  )

END SUB

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnQueryEndSession
' PURPOSE:   Form1 WM_QUERYENDSESSION message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnQueryEndSession _
  ( _
  BYVAL hWnd        AS DWORD, _ ' window handle
  BYVAL lSource     AS LONG, _  ' source of end-session request
  BYVAL fLogOff     AS LONG, _  ' logoff flag
        lMsgResult  AS LONG _   ' value returned to message
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnSize
' PURPOSE:   Form1 WM_SIZE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnSize _
  ( _
  BYVAL hWnd      AS DWORD, _ ' window handle
  BYVAL lState    AS LONG, _  ' resizing state
  BYVAL cxClient  AS LONG, _  ' width of client area
  BYVAL cyClient  AS LONG _   ' height of client area
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnPaint
' PURPOSE:   Form1 WM_PAINT message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnPaint _
  ( _
  BYVAL hWnd  AS DWORD _  ' window handle
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnKillFocus
' PURPOSE:   Form1 WM_KILLFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnKillFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' window handle
  BYVAL hWndNewFocus  AS DWORD _  ' handle of window receiving focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnSetFocus
' PURPOSE:   Form1 WM_SETFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnSetFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' window handle
  BYVAL hWndOldFocus  AS DWORD _  ' handle of window losing focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnCreate
' PURPOSE:   Page2 WM_CREATE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnCreate _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
  BYVAL lptcs       AS DWORD, _ ' address of CREATESTRUCT structure
        lMsgResult  AS LONG _   ' value returned to message
  ) AS LONG

  tabhandle(1) = hWnd
  PutOVar

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Check1_Clicked
' PURPOSE:   Check1 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Check1_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  IF zGetCheckButtonStatus(hWndCtrl) THEN
    Control_Enable GetDlgItem (hWndParent, %IDC_FORM1_CHECK_CREATE_TIME_STAMP)
  ELSE
    Control_Disable GetDlgItem (hWndParent, %IDC_FORM1_CHECK_CREATE_TIME_STAMP)
  END IF

END FUNCTION


'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Cancel_Clicked
' PURPOSE:   TextBtn7 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Cancel_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  SendMessage hWndParent, %WM_CLOSE, 0, 0

END FUNCTION


'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnCommand
' PURPOSE:   Form1 WM_COMMAND message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnCommand _
  ( _
  BYVAL hWnd        AS DWORD, _ ' window handle
  BYVAL lCtrlId     AS LONG, _  ' identifier of menu item, control, or accelerator
  BYVAL hWndCtrl    AS DWORD, _ ' handle of control
  BYVAL lNotifyCode AS LONG _   ' notification code
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_OnNotify
' PURPOSE:   Form1 WM_NOTIFY message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_OnNotify _
  ( _
  BYVAL hWnd        AS DWORD, _ ' window handle
  BYVAL lCtrlId     AS LONG, _  ' control identifier
  BYVAL lptnmhdr    AS DWORD, _ ' address of NMHDR structure
        lMsgResult  AS LONG _   ' value returned to message
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Tab1_SelChange
' PURPOSE:   Tab1 TCN_SELCHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Tab1_SelChange _
  ( _
  BYVAL hWndParent  AS DWORD, _     ' handle of parent window
  BYVAL ptnmhdr     AS NMHDR PTR, _ ' message information
        lMsgResult  AS LONG _       ' value returned to message
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Tab1_SelChanging
' PURPOSE:   Tab1 TCN_SELCHANGING notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Tab1_SelChanging _
  ( _
  BYVAL hWndParent  AS DWORD, _     ' handle of parent window
  BYVAL ptnmhdr     AS NMHDR PTR, _ ' message information
        lMsgResult  AS LONG _       ' value returned to message
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_Help_Clicked
' PURPOSE:   TextBtn3 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_Help_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_Format_Clicked
' PURPOSE:   TextBtn4 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_Format_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  LOCAL ztext AS XASCIZ * %MAX_PATH
  LOCAL zOut AS XASCIZ * %MAX_PATH
  LOCAL tmpFC AS fmtcommon

   fc = tmpFC ' re-initialize all variables 11/18/2011

  CopyBak

  GetTempPath %MAX_PATH, ztext
   GetTempFileName ztext, "fmt", 0, zOut ' 11/18/2011 fo.fspecout
   fc.fhin = FREEFILE
   OPEN fo.fspecin FOR INPUT ACCESS READ AS fc.fhin
   fc.fhout = FREEFILE
   OPEN zOut FOR OUTPUT AS fc.fhout
   '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   'Create a simple progress control
   '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   fc.hprogress = CaptionProgressWindow(0, "Format Source Code")
   DoFormat
   CLOSE fc.fhin, fc.fhout
   DestroyWindow fc.hprogress
   CopyFile zOut, fo.fspecout, 0
   KILL zOut

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnCreate
' PURPOSE:   Page1 WM_CREATE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnCreate _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
  BYVAL lptcs       AS DWORD, _ ' address of CREATESTRUCT structure
        lMsgResult  AS LONG _   ' value returned to message
  ) AS LONG

  tabhandle(0) = hwnd

  zSetCTLText(GetDlgItem(hWnd, %IDC_FORM1_TEXT_INPUTFILE), fo.fspecin)
  zSetCTLText(GetDlgItem(hWnd, %IDC_FORM1_TEXT_OUTPUTFILE), fo.fspecout)

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnDestroy
' PURPOSE:   Page1 WM_DESTROY message handler.
'
'-------------------------------------------------------------------------------

SUB Form1_Page_File_OnDestroy _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
        lMsgResult  AS LONG _   ' value returned to message
  )

END SUB

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnSize
' PURPOSE:   Page1 WM_SIZE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnSize _
  ( _
  BYVAL hWnd      AS DWORD, _ ' control handle
  BYVAL lState    AS LONG, _  ' resizing state
  BYVAL cxClient  AS LONG, _  ' width of client area
  BYVAL cyClient  AS LONG _   ' height of client area
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnPaint
' PURPOSE:   Page1 WM_PAINT message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnPaint _
  ( _
  BYVAL hWnd  AS DWORD _  ' control handle
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnCommand
' PURPOSE:   Page1 WM_COMMAND message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnCommand _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
  BYVAL lCtrlId     AS LONG, _  ' identifier of menu item, control, or accelerator
  BYVAL hWndCtrl    AS DWORD, _ ' handle of control
  BYVAL lNotifyCode AS LONG _   ' notification code
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnKillFocus
' PURPOSE:   Page1 WM_KILLFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnKillFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' control handle
  BYVAL hWndNewFocus  AS DWORD _  ' handle of window receiving focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_File_OnSetFocus
' PURPOSE:   Page1 WM_SETFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_File_OnSetFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' control handle
  BYVAL hWndOldFocus  AS DWORD _  ' handle of window losing focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnDestroy
' PURPOSE:   Page2 WM_DESTROY message handler.
'
'-------------------------------------------------------------------------------

SUB Form1_Page_Option_OnDestroy _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
        lMsgResult  AS LONG _   ' value returned to message
  )

END SUB

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnSize
' PURPOSE:   Page2 WM_SIZE message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnSize _
  ( _
  BYVAL hWnd      AS DWORD, _ ' control handle
  BYVAL lState    AS LONG, _  ' resizing state
  BYVAL cxClient  AS LONG, _  ' width of client area
  BYVAL cyClient  AS LONG _   ' height of client area
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnPaint
' PURPOSE:   Page2 WM_PAINT message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnPaint _
  ( _
  BYVAL hWnd  AS DWORD _  ' control handle
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnKillFocus
' PURPOSE:   Page2 WM_KILLFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnKillFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' control handle
  BYVAL hWndNewFocus  AS DWORD _  ' handle of window receiving focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnSetFocus
' PURPOSE:   Page2 WM_SETFOCUS message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnSetFocus _
  ( _
  BYVAL hWnd          AS DWORD, _ ' control handle
  BYVAL hWndOldFocus  AS DWORD _  ' handle of window losing focus
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_OutputFile_Clicked
' PURPOSE:   TextBtn7 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_OutputFile_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  DISPLAY OpenFile hWndParent, 0, 0, "Format Powerbasic Code", "", _
      CHR$( "Basic Source [BAS, INC]", 0, "*.BAS;*.INC", 0), _
      "", "", %OFN_CREATEPROMPT OR %OFN_NOTESTFILECREATE TO fo.fspecout
  IF LEN(fo.fspecout) <> 0 THEN

    zSetCTLText(GetDlgItem(hWndParent, %IDC_FORM1_TEXT_OUTPUTFILE), fo.fspecout)
    IF LEN(fo.fspecin) THEN
      Control_Enable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
    ELSE
      Control_Disable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
    END IF
  END IF

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page_Option_OnCommand
' PURPOSE:   Page2 WM_COMMAND message handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page_Option_OnCommand _
  ( _
  BYVAL hWnd        AS DWORD, _ ' control handle
  BYVAL lCtrlId     AS LONG, _  ' identifier of menu item, control, or accelerator
  BYVAL hWndCtrl    AS DWORD, _ ' handle of control
  BYVAL lNotifyCode AS LONG _   ' notification code
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Check2_Clicked
' PURPOSE:   Check2 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Check2_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Check3_Clicked
' PURPOSE:   Check3 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Check3_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Text_TabSize_Change
' PURPOSE:   Edit1 EN_CHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Text_TabSize_Change _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Text_RemColumn_Change
' PURPOSE:   Edit2 EN_CHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Text_RemColumn_Change _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Check4_Clicked
' PURPOSE:   Check4 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Check4_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  IF zGetCheckButtonStatus(hWndCtrl) THEN
    Control_Enable GetDlgItem (hWndParent, %IDC_FORM1_CHECK_UPCASE_EQUATES)
    Control_Enable GetDlgItem (hWndParent, %IDC_FORM1_TEXT_EQUATECOLUMN)

  ELSE
    Control_Disable GetDlgItem (hWndParent, %IDC_FORM1_CHECK_UPCASE_EQUATES)
    Control_Disable GetDlgItem (hWndParent, %IDC_FORM1_TEXT_EQUATECOLUMN)
  END IF

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Text_EquateColumn_Change
' PURPOSE:   Edit3 EN_CHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Text_EquateColumn_Change _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_Save_Option_Clicked
' PURPOSE:   TextBtn8 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_Save_Option_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG
  LOCAL filenum AS DWORD

  GetOVars()

  filenum = FREEFILE
  OPEN "Code Formatter.cfg" FOR BINARY AS filenum
  PUT filenum,,fo
  CLOSE filenum

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Check5_Clicked
' PURPOSE:   Check5 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Check5_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_InputFile_Clicked
' PURPOSE:   TextBtn6 BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_InputFile_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  DISPLAY OpenFile hWndParent, 0, 0, "Format Powerbasic Code", "", _
      CHR$( "Basic Source [BAS, INC]", 0, "*.BAS;*.INC", 0), _
      "", "", %OFN_FILEMUSTEXIST TO fo.fspecin
  IF LEN(fo.fspecin) <> 0 THEN
    zSetCTLText(GetDlgItem(hWndParent, %IDC_FORM1_TEXT_INPUTFILE), fo.fspecin)
    zSetCTLText(GetDlgItem(hWndParent, %IDC_FORM1_TEXT_OUTPUTFILE), fo.fspecin)
    Control_Enable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
    fo.fspecout = fo.fspecin
  END IF
END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Text_InputFile_Change
' PURPOSE:   Edit4 EN_CHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Text_InputFile_Change _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  fo.fspecin = zGetCTLText(hWndCtrl)
  IF LEN(fo.fspecin) THEN
     Control_Enable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
  ELSE
    control_Disable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
  END IF

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Text_OutputFile_Change
' PURPOSE:   Edit5 EN_CHANGE notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Text_OutputFile_Change _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG

  fo.fspecout = zGetCTLText(hWndCtrl)
  IF LEN(fo.fspecout) THEN
    Control_Enable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
  ELSE
    Control_Disable GetDlgItem (mainhWnd, %IDC_FORM1_BTN_FORMAT)
  END IF

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Btn_Default_Option_Clicked
' PURPOSE:   TextBtnDefaultOption BN_CLICKED notification handler.
' RETURN:    TRUE if message was processed, FALSE if it was not.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Btn_Default_Option_Clicked _
  ( _
  BYVAL hWndParent  AS DWORD, _ ' handle of parent window
  BYVAL hWndCtrl    AS DWORD _  ' handle of control
  ) AS LONG


  fo.capequates      = 1
  fo.lineupequates   = 1
  fo.backup          = 1
  fo.backupTimeStamp = 1
  fo.fspecin         = ""
  fo.fspecout        = ""
  fo.remcol          = 50
  fo.equatescolumn   = 35
  fo.tabsize         = 3
  fo.splitvariables  = 1  ' added v2
  fo.ascolumn        = 40 ' added v2

  PutOVar

END FUNCTION
